# Spec file for pam_mobile_otp. Tested on Redhat/Fedora based 
# distributions. It may work on others. The spec is written 
# and maintained by Vaidas Jablonskis <jablonskis@gmail.com>

Summary: PAM motp module and motp users management tool
Name: pam_mobile_otp
Version: 0.6.1
Release: 3
Provides: %{name}
Requires: pam
Distribution: CentOS Linux
ExclusiveArch: i386 i586 i686 amd64 x86_64
Source: %{name}-%{version}.tar.gz
Group: Applications/System
URL: http://motp.sourceforge.net
License: GPLv2
Packager: Vaidas Jablonskis <jablonskis@gmail.com>

BuildRequires: pam-devel gcc binutils


Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# disable debuginfo checks
%define debug_package %{nil}

%description

Mobile OTP is a solution for strong two factor authentication.
See http://motp.sourceforge.net/ for more details. The module is
written maintained by <sebastian.korff@web.de>.

motp-manager is a tool to simplify motp.conf management is written and
maintained by Vaidas Jablonskis <jablonskis@gmail.com>

%prep

%setup -q

%build

%ifos solaris
%{__mv} Makefile.Solaris Makefile
%endif

%{__make} %{?_smp_mflags}

%install

[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__install} -D -m 0755 pam_mobile_otp.so \
        $RPM_BUILD_ROOT/%{_lib}/security/pam_mobile_otp.so
%{__install} -D -m 0600 motp.conf $RPM_BUILD_ROOT%{_sysconfdir}/security/motp.conf
%{__install} -D -m 0700 motp-manager $RPM_BUILD_ROOT%{_sbindir}/motp-manager
%{__mkdir} -p -m 0700 $RPM_BUILD_ROOT%{_var}/cache/motp
%{__install} -D -m 0644 README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/README
%{__install} -D -m 0644 CHANGELOG $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/CHANGELOG
%{__install} -D -m 0644 pam.d-motp $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/pam.d-motp

%clean

%{__rm} -rf %{buildroot}

%files

%attr(0600, root, root) %config(noreplace) %{_sysconfdir}/security/motp.conf
%attr(0755, root, root) /%{_lib}/security/pam_mobile_otp.so
%attr(0700, root, root) %{_sbindir}/motp-manager
%attr(0700, root, root) %dir %{_var}/cache/motp
%attr(0644, root, root) %doc %{_defaultdocdir}/%{name}-%{version}/README
%attr(0644, root, root) %doc %{_defaultdocdir}/%{name}-%{version}/CHANGELOG
%attr(0644, root, root) %doc %{_defaultdocdir}/%{name}-%{version}/pam.d-motp


